cURL
curl --request GET \
--url https://api.yourjobsearchgenius.ai/v1/packages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yourjobsearchgenius.ai/v1/packages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yourjobsearchgenius.ai/v1/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"name": "<string>",
"price": 123,
"interval": "Daily",
"freeTrialDays": 7,
"status": "Active"
}
]{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Reseller - Packages
Get Packages
Retrieve a list of all subscription packages. Useful for displaying available plans to users or for internal reporting.
GET
/
packages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of results to return
The maximum number of results to skip
Response
Customers response
Unique identifier for the package
The name of the package.
The price of the package.
The billing interval for the package. Possible values: Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly.
Available options:
Daily, Weekly, Bi-Weekly, Monthly, Quarterly, Yearly Example:
"Daily"
The number of free trial days. Send 0 if no free trial days. Min:0, Max:7.
Required range:
x <= 7Example:
7
The status of the package. Possible values: Active, Inactive.
Available options:
Active, Inactive Example:
"Active"